# User

class User implements ModelObject, Comparable

Description of User

## Methods

__construct()

No description

getRealname()

No description

getEmail()

No description

getHomepage()

No description

setRealname($realname)

No description

setEmail($email)

No description

setHomepage($homepage)

No description

string
getName()

No description

string
getHref()

No description

$this
setName(string $name)

No description

$this
setHref(string $href)

No description

getGroups()

No description

hasGroups()

No description

setGroups($groups)

No description

getSpammer()

No description

getPrediction()

No description

getAlgorithm()

No description

getToClassify()

No description

setSpammer($spammer)

No description

setPrediction($prediction)

No description

setAlgorithm($algorithm)

No description

setToClassify($toClassify)

No description

__toString()

No description

compare(Comparable $b)

No description

## Details

###
at line 69
`__construct()`

###
at line 72
`getRealname()`

###
at line 76
`getEmail()`

###
at line 80
`getHomepage()`

###
at line 84
`setRealname($realname)`

#### Parameters

| $realname |

###
at line 89
`setEmail($email)`

#### Parameters

| $email |

###
at line 94
`setHomepage($homepage)`

#### Parameters

| $homepage |

###
at line 104
`string getName()`

#### Return Value

string |

###
at line 112
`string getHref()`

#### Return Value

string |

###
at line 122
`$this setName(string $name)`

#### Parameters

string | $name |

#### Return Value

$this |

###
at line 133
`$this setHref(string $href)`

#### Parameters

string | $href |

#### Return Value

$this |

###
at line 138
`getGroups()`

###
at line 142
`hasGroups()`

###
at line 146
`setGroups($groups)`

#### Parameters

| $groups |

###
at line 150
`getSpammer()`

###
at line 154
`getPrediction()`

###
at line 158
`getAlgorithm()`

###
at line 162
`getToClassify()`

###
at line 166
`setSpammer($spammer)`

#### Parameters

| $spammer |

###
at line 171
`setPrediction($prediction)`

#### Parameters

| $prediction |

###
at line 176
`setAlgorithm($algorithm)`

#### Parameters

| $algorithm |

###
at line 181
`setToClassify($toClassify)`

#### Parameters

| $toClassify |

###
at line 186
`__toString()`

###
at line 190
`compare(Comparable $b)`

#### Parameters

Comparable | $b |